{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "type": "cortex-debug",
            "request": "launch",
            "name": "Debug (OpenOCD)",
            "preLaunchTask": "build",
            "cwd": "${workspaceRoot}",
            "executable": "./build/f407ve_hs_uart.elf",
            "servertype": "openocd",
            "configFiles": [
                "interface/stlink.cfg",
                "target/stm32f4x.cfg",
            ],
            "svdFile": "./STM32F40x.svd"
        }
    ]
}
